<?php if (isset($_GET["raw"])) {
	ob_start();
	echo "Content-Type: ".bloginfo('html_type')."; charset=".bloginfo('charset');
	$header = ob_get_contents();
	ob_end_clean();
	header($header);
?><head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
</head>
<body>
<?php
		if (have_posts()) {
			while (have_posts()) {
				the_post();
				the_content('<p class="serif">Read the rest of this entry &raquo;</p>');
			}
		}
?>
</body>
<?php
	die();
}
?><?php get_header(); ?>

	<div id="content">

  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	
<!-- google_ad_section_start -->

		<div class="post" id="post-<?php the_ID(); ?>">
			<h1 class="storytitle"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a></h1>
	
			<div class="postmetadata">by <?php the_author() ?> — published on <?php the_time('F jS, Y') ?> <?php edit_post_link('Edit this entry.','',''); ?></div>

			<?php if (function_exists("all_in_series")) { ?>
			<?php
				if (function_exists('post_is_part_of_series')) {
					$series_name = post_is_part_of_series();
					if ($series_name) $series_order = 100; /* dummy val */
				} else {
					$series_name = get_post_meta($post->ID, 'series_name', true);
					$series_order = get_post_meta($post->ID, 'series_order', true);
				}
				if ($series_name && $series_order != "") {
			?>
			<div class="postmetadata" id="series-slug">This article is part of the <?php print $series_name; ?> series.  <?php all_in_series($sep=", ",$before="Read the whole series &raquo; ",$after=""); ?></div>
			<?php } ?>
			<?php } ?>

			<?php ad_after_title(); ?>

			<div class="entry">
				<?php if (function_exists("digg_this")) { digg_this(); } ?>
				<?php ad_above_content(); ?>
				<?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>
				<?php link_pages('<p><strong>Pages:</strong> ', '</p>', 'number'); ?>
			</div>

<!-- google_ad_section_end -->

			<?php ad_after_content(); ?>

			<?php ad_tip_block(); ?>
				
			<?php if (function_exists("all_in_series")) { ?>
			<?php if ($series_name && $series_order != "") { // defined above ?>
			<p class="postmetadata" id="series-toc-slug">Table of contents for the <?php print $series_name; ?> series:</p>
			<div class="postmetadata" id="series-toc"><?php series_table_of_contents(); ?></div>
			<?php } ?>
			<?php } ?>

			<p class="postmetadata alt">
					This entry was posted
					on <?php the_time('l, F jS, Y') ?> at <?php the_time() ?>
					and is filed under <?php the_category(', ') ?>.
					You can follow any responses to this entry through the <?php comments_rss_link('RSS 2.0'); ?> feed. 
						
					<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
						// Both Comments and Pings are open ?>
						You can <a href="#respond">leave a response</a>, or <a href="<?php trackback_url(true); ?>" rel="trackback">trackback</a> from your own site.
						
					<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
						// Only Pings are Open ?>
						Responses are currently closed, but you can <a href="<?php trackback_url(true); ?> " rel="trackback">trackback</a> from your own site.
						
					<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
						// Comments are open, Pings are not ?>
						You can skip to the end and leave a response. Pinging is currently not allowed.
			
					<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
						// Neither Comments, nor Pings are open ?>
						Both comments and pings are currently closed.
						
					<?php } ?>
						
			<?php if (function_exists("wp_sociable")) { ?>You can also share and bookmark this article on the following services: <span id="sociable-links"><?php wp_sociable(); ?></span><?php } ?>.

			</p>

			<?php if (function_exists('bccl_license_text_hyperlink')) { ?><p id="license-slug"><?php bccl_license_text_hyperlink(); ?> Except where expressly acknowledged, this work is distributed and licensed to you under the terms of <a href="<?php print bccl_get_license_deed_url(); ?>">this license</a>.  For other licenses, contact <?php the_author(); ?>.</p><?php } ?>

		</div>
		
	<?php comments_template(); ?>

	<?php if (function_exists("bstat_pulse")) { ?>
	<?php
			ob_start();
			bstat_pulse($post_id=$id,$maxwidth=350,$disptext=1,$dispcredit=0);
			$buffer = ob_get_contents();
			ob_end_clean();
			if ($buffer) {
				print '<div id="story-pulse">';
				print '<h2>Story pulse</h2>';
				print $buffer;
				print '</div>';
			}
	 ?>
	<?php } ?>

	<?php endwhile; else: ?>
	
		<p>Sorry, no posts matched your criteria.</p>
	
<?php endif; ?>
	
	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
